/*
	TextCount
	Create Textarea Like Twitter, and Input support.
	Version: 1.0.0
    Plugin URL: http://wp-time.com/create-textarea-like-twitter-using-jquery/
	Written By: Qassim Hassan
	Twitter: https://twitter.com/QQQHZ
    GitHub: https://github.com/QassimHassan
	Websites: wp-time.com | qass.im | wp-plugins.in
	Dual licensed under the MIT and GPL licenses:
		http://www.opensource.org/licenses/mit-license.php
		http://www.gnu.org/licenses/gpl.html
	Copyright (c) 2016 - Qassim Hassan
*/

(function ( $ ) {
 
    $.fn.TextCount = function(options) {


        var TextCountOptions = $.extend({
            countWrap: 0,
            limitNumber: 140,
            disablePaste: 1
        }, options );


        if( TextCountOptions.countWrap == 0 ){
            return false;
        }


        $(TextCountOptions.countWrap).html(TextCountOptions.limitNumber);

        
        $(this).on('keypress', function (e) {

            if( e.keyCode != 8 ){

                var lengthNumber = $(TextCountOptions.countWrap).text();

                if( lengthNumber == 0 ){
                    return false;
                }

                var textareaLength = $(this).val().length;

                var theTotal = --lengthNumber;

                $(TextCountOptions.countWrap).text(theTotal);

            }

        });


        $(this).keydown(function(e){

            if( e.keyCode == 8 ){

                var lengthNumber = $(TextCountOptions.countWrap).text();

                if( lengthNumber == TextCountOptions.limitNumber ){
                    return false;
                }

                var textareaLength = $(this).val().length;

                var theTotal = ++lengthNumber;

                $(TextCountOptions.countWrap).text(theTotal);

            }

        });


        $(this).on('keyup', function () {

            var textareaLength = $(this).val().length;

            if( textareaLength == 0 ){

                $(TextCountOptions.countWrap).text(TextCountOptions.limitNumber);
                
            }

        });


        if( TextCountOptions.disablePaste == 1 ){

            $(this).bind("paste drop",function(e) {
                return false;
            });

        }


    };
 
}( jQuery ));